package projectzombie.entity;

import gl_engine.texture.TextureRef3D;
import gl_engine.vec.Vec3d;

public class EntityParticlePart
{
	public int animationSize = 1;
	public int animationSpeed = 1;
	public TextureRef3D tex;
	public double size;
	public Vec3d pos;
	public int flags;
	
	public double getFade() {
		return 1;
	}
	
	public boolean isFlat() {
		return false;
	}
	
	public EntityParticlePart(TextureRef3D tex, Vec3d pos, double size, int flags) {
		this.tex = tex;
		this.pos = pos;
		this.size = size;
		this.flags = flags;
	}
}
